<?

header('Content-Type: text/html; charset=iso-8859-1');

$r=$_REQUEST['r'];

include_once ("bo/config/server.inc.php");
if (!@$db){
	set_include_path(get_include_path() . PATH_SEPARATOR . "./bo");
	include_once("db/dbMini.class.php");
	$db=new dbMini;
}

$sql="select * from revista_pagina where idCat=$r order by num_pagina";
$revista_paginas=$db->get($sql);
$tam_revista_paginas=sizeof($revista_paginas);
?>
<style>
#popup #topo{ width: 100%; }
#popup #topo{ border-bottom: 1px solid white; }
#popup #topol{ width: 275px; font-size:28px; vertical-align: middle;padding-left:20px;}
#popup #topor{ width: 28px;background:#CCC; text-align:center;}
#popup #topor A{ color: black; font-size:28px; text-decoration: none;}
#popup img{ display: block;}
#fancybox-outer {background: #CCC}

.clearfix:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }
.clearfix{display: inline-block;}
* html .clearfix{height: 1%;}
.clearfix{display: block;}

.esq{float: left; position: relative; display: inline;}
.dir{float: right; position: relative;}

</style>
<script>
$(function() {
	//$("#print_conteudo").load("getpaginas.php");
	 $("#seltodas").click(function () {
          $(".paglist").attr('checked', this.checked);
    });
 
    $(".paglist").click(function(){
         if($(".paglist").length == $(".paglist:checked").length) {
            $("#seltodas").attr("checked", "checked");
        } else {
            $("#seltodas").removeAttr("checked");
        }
     });
		
});

function printIframe(id){
    var iframe = document.frames ? document.frames[id] : document.getElementById(id);
    var ifWin = iframe.contentWindow || iframe;
    iframe.focus();
    ifWin.printPage();
    return false;
}


</script>
<div id="popup">
	<div id="topo" class="clearfix">
		<div id="topol" class="esq">IMPRIMIR nº <?=$r?></div>
		<div id="topor" class="dir"><a href="javascript:;" onclick="$.fancybox.close();">X</a></div>
	</div>
	<div id="contentor" class="clearfix">
		<div id="print_lista" class="esq">
		<br>
		<form name="printf" id="printf" action="printpreview.php" target="ff" method="post">
			<input type="hidden" name="r" value="<?=$r?>">
			<h6>1.Escolha as páginas</h6>
			Imprimir só texto<input type="checkbox" name="sotexto" id="sotexto" value="1"><br>
			Todas as páginas<input type="checkbox" name="seltodas" id="seltodas" value="1"><br>
			<ul class="clearfix">
			<?php for ($i=0; $i<$tam_revista_paginas; $i++){ ?>
			<!--<li><?=$revista_paginas[$i]['num_pagina']?><input type="checkbox" name="paglist"></li>-->
			<li><?=$revista_paginas[$i]['num_pagina']?><input type="checkbox" class="paglist" name="paglist[]" value="<?=$revista_paginas[$i]['num_pagina']?>"></li>
			<? } ?>
			</ul>
			
			<hr>
			<h6>2.Actualize a pré-visualização</h6>
			<div class="centro">
					<input type="submit" name="submit" id="btn_actualizar" value="actualizar">
			</div>
			<hr>

			<h6>3.Imprima</h6>
			<div class="centro">
				<input type="button" id="btn_print1" onclick="javascript:printIframe('ff')" value="imprimir">
			</div>
		</form>
				<br>
				<div>
				<i>
				Firefox e Internet Explorer: Para imprimir as imagens de fundo deve selecionar 
				"Imprimir fundo" nas "definições da página" do seu navegador
				</i>
				</div>
		
		</div>
		<div id="print_conteudo" class="dir">
			<iframe width="100%" height="100%" name="ff" id="ff" src="printpreview.php" frameborder="0" framespacing="0">...</iframe>
		</div>
		

		
	</div>

	
</div>

